//+------------------------------------------------------------------+
//|VLine regular periods.mq4                                         |
//|Programed by Edas                                                 |
//|supported by JellyBean                                            |
//+------------------------------------------------------------------+
#property copyright "edas@tdd.lt"

#property indicator_chart_window
extern string LineName="Ed_line";
extern string LineName2="Ed_line_2";
extern color LineColor=SlateGray; 
extern int LineStyle=STYLE_DASHDOT;
extern int AlertPipRange=5;
extern string AlertWav="alert.wav";
extern int Hours = 2;
int i=0;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
for(int i = ObjectsTotal() - 1; i >= 0; i--)
{
    LineName = ObjectName(i);
    if( StringSubstr( LineName, 0, 5 ) == "VLine" )
       ObjectDelete( LineName );   
}
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+

int start()
  {
   int Unused = 0;
   datetime LineTime;

   for (i=0; i<=12; i++)
   {
      LineTime = iTime( NULL, PERIOD_D1, 0 ) + Hours*3600*i;     // because datetime variables are in seconds
      LineName = "VLine" + DoubleToStr( LineTime, 0 );   
      ObjectCreate(LineName, OBJ_VLINE, 0, LineTime, Unused );
      ObjectSet(LineName, OBJPROP_STYLE, LineStyle);
      ObjectSet(LineName, OBJPROP_COLOR, LineColor);
   }

//----
   return(0);
  }





